Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.client
Class UniformInterfaceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.jersey.api.client.UniformInterfaceException

All Implemented Interfaces:
  java.io.Serializable

    public class UniformInterfaceException

extends java.lang.RuntimeException

A runtime exception thrown by a method on the `UniformInterface` when the status code of the HTTP response indicates a response that is not expected by the method invoked.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Constructor Summary
`UniformInterfaceException(ClientResponse r)`
`UniformInterfaceException(java.lang.String message, ClientResponse r)`

Method Summary
`ClientResponse` | `getResponse()` Get the client response assocatiated with the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UniformInterfaceException

    public UniformInterfaceException(ClientResponse r)

### UniformInterfaceException

    public UniformInterfaceException(java.lang.String message,
                                     ClientResponse r)

Method Detail

### getResponse

    public ClientResponse getResponse()

  Get the client response assocatiated with the exception.

  Returns:
    the client response.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.